public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2018-05-23  0:25 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2018-05-23  0:25 UTC (permalink / raw
  To: gentoo-commits

commit:     8c25ca238bd0d2df7e204f6506d7258a6cdf1615
Author:     Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Wed May 23 00:24:36 2018 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Wed May 23 00:24:36 2018 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=8c25ca23

sci-libs/pybids: new package

Package-Manager: Portage-2.3.38, Repoman-2.3.9

 sci-libs/pybids/metadata.xml        | 20 ++++++++++++++++++++
 sci-libs/pybids/pybids-0.5.0.ebuild | 34 ++++++++++++++++++++++++++++++++++
 sci-libs/pybids/pybids-9999.ebuild  | 37 +++++++++++++++++++++++++++++++++++++
 3 files changed, 91 insertions(+)

diff --git a/sci-libs/pybids/metadata.xml b/sci-libs/pybids/metadata.xml
new file mode 100644
index 000000000..143b3ea21
--- /dev/null
+++ b/sci-libs/pybids/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>horea.christ@gmail.com</email>
+		<name>Horea Christian</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>sci@gentoo.org</email>
+		<name>Gentoo Science Project</name>
+	</maintainer>
+	<longdescription lang="en">
+		PyBIDS is a Python library to centralize interactions with datasets
+		conforming BIDS (Brain Imaging Data Structure) format. For more
+		information about BIDS visit http://bids.neuroimaging.io.
+	</longdescription>
+	<upstream>
+		<remote-id type="github">INCF/pybids</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/sci-libs/pybids/pybids-0.5.0.ebuild b/sci-libs/pybids/pybids-0.5.0.ebuild
new file mode 100644
index 000000000..2a2ecf29e
--- /dev/null
+++ b/sci-libs/pybids/pybids-0.5.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python package to access BIDS datasets"
+HOMEPAGE="https://github.com/INCF/pybids"
+SRC_URI="https://github.com/INCF/pybids/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	"
+RDEPEND="
+	dev-python/grabbit[${PYTHON_USEDEP}]
+	dev-python/num2words[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pandas[${PYTHON_USEDEP}]
+	dev-python/patsy[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+	sci-libs/nibabel[${PYTHON_USEDEP}]
+	sci-libs/scipy[${PYTHON_USEDEP}]
+	"
+
+# Tests are broken: https://github.com/INCF/pybids/issues/138
+RESTRICT="test"

diff --git a/sci-libs/pybids/pybids-9999.ebuild b/sci-libs/pybids/pybids-9999.ebuild
new file mode 100644
index 000000000..397820db4
--- /dev/null
+++ b/sci-libs/pybids/pybids-9999.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1 git-r3
+
+DESCRIPTION="Python package to access BIDS datasets"
+HOMEPAGE="https://github.com/INCF/pybids"
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/INCF/pybids"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+	"
+RDEPEND="
+	dev-python/grabbit[${PYTHON_USEDEP}]
+	dev-python/num2words[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pandas[${PYTHON_USEDEP}]
+	dev-python/patsy[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+	sci-libs/nibabel[${PYTHON_USEDEP}]
+	sci-libs/scipy[${PYTHON_USEDEP}]
+	"
+
+python_test() {
+	py.test -v || die
+}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2018-08-02 15:55 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2018-08-02 15:55 UTC (permalink / raw
  To: gentoo-commits

commit:     92ca536a253454cd4ba4a2f48d8664c8357a8e5f
Author:     Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Thu Aug  2 15:55:36 2018 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Thu Aug  2 15:55:36 2018 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=92ca536a

sci-libs/pybids: EAPI and PYTHON_COMPAT bump

Package-Manager: Portage-2.3.44, Repoman-2.3.10

 sci-libs/pybids/pybids-0.5.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/pybids/pybids-0.5.0.ebuild b/sci-libs/pybids/pybids-0.5.0.ebuild
index 2a2ecf29e..65c268624 100644
--- a/sci-libs/pybids/pybids-0.5.0.ebuild
+++ b/sci-libs/pybids/pybids-0.5.0.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2020-01-10 13:26 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2020-01-10 13:26 UTC (permalink / raw
  To: gentoo-commits

commit:     3977895bccf34df094284f397a583883a22c575a
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Fri Jan 10 13:26:49 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Fri Jan 10 13:26:49 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=3977895b

sci-libs/pybids: deprecated PYTHON_COMPAT

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/pybids/pybids-0.5.0.ebuild | 4 ++--
 sci-libs/pybids/pybids-9999.ebuild  | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/sci-libs/pybids/pybids-0.5.0.ebuild b/sci-libs/pybids/pybids-0.5.0.ebuild
index 65c268624..89c29a831 100644
--- a/sci-libs/pybids/pybids-0.5.0.ebuild
+++ b/sci-libs/pybids/pybids-0.5.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+PYTHON_COMPAT=( python3_6 )
 
 inherit distutils-r1
 

diff --git a/sci-libs/pybids/pybids-9999.ebuild b/sci-libs/pybids/pybids-9999.ebuild
index 397820db4..5d2e6eff9 100644
--- a/sci-libs/pybids/pybids-9999.ebuild
+++ b/sci-libs/pybids/pybids-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 PYTHON_COMPAT=( python{2_7,3_4,3_5} )
 


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2020-01-10 13:29 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2020-01-10 13:29 UTC (permalink / raw
  To: gentoo-commits

commit:     c939a6bdec9371a7e75811188895ea2ed70a4d54
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Fri Jan 10 13:29:06 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Fri Jan 10 13:29:06 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=c939a6bd

sci-libs/pybids: version bump 0.6.5

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/pybids/pybids-0.6.5.ebuild | 42 +++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/sci-libs/pybids/pybids-0.6.5.ebuild b/sci-libs/pybids/pybids-0.6.5.ebuild
new file mode 100644
index 000000000..1a3e5aa5f
--- /dev/null
+++ b/sci-libs/pybids/pybids-0.6.5.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_6 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python package to access BIDS datasets"
+HOMEPAGE="https://github.com/INCF/pybids"
+SRC_URI="https://github.com/INCF/pybids/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	"
+RDEPEND="
+	dev-python/grabbit[${PYTHON_USEDEP}]
+	dev-python/num2words[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pandas[${PYTHON_USEDEP}]
+	dev-python/patsy[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+	sci-libs/nibabel[${PYTHON_USEDEP}]
+	sci-libs/scipy[${PYTHON_USEDEP}]
+	"
+
+RESTRICT="test"
+# Fails because fixtures are called directly
+# https://github.com/bids-standard/pybids/issues/289#issuecomment-476853673
+
+python_test() {
+	rm bids/tests/test_config.py || die
+	distutils_install_for_testing
+	pytest -vv || die
+	die
+}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2020-03-24  7:23 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2020-03-24  7:23 UTC (permalink / raw
  To: gentoo-commits

commit:     b67c4e0c7656b37ec311b97eea56d384961b9b1c
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Tue Mar 24 07:23:08 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Tue Mar 24 07:23:08 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=b67c4e0c

sci-libs/pybids: version bump 0.10.2

and PYTHON_COMPAT update to include 3_7

Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 .../{pybids-9999.ebuild => pybids-0.10.2.ebuild}   | 26 ++++++++++++----------
 1 file changed, 14 insertions(+), 12 deletions(-)

diff --git a/sci-libs/pybids/pybids-9999.ebuild b/sci-libs/pybids/pybids-0.10.2.ebuild
similarity index 51%
rename from sci-libs/pybids/pybids-9999.ebuild
rename to sci-libs/pybids/pybids-0.10.2.ebuild
index 5d2e6eff9..8b30eeb0d 100644
--- a/sci-libs/pybids/pybids-9999.ebuild
+++ b/sci-libs/pybids/pybids-0.10.2.ebuild
@@ -3,35 +3,37 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_COMPAT=( python3_{6,7} )
 
-inherit distutils-r1 git-r3
+inherit distutils-r1
 
 DESCRIPTION="Python package to access BIDS datasets"
 HOMEPAGE="https://github.com/INCF/pybids"
-SRC_URI=""
-EGIT_REPO_URI="https://github.com/INCF/pybids"
+SRC_URI="https://github.com/INCF/pybids/archive/${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="MIT"
 SLOT="0"
-KEYWORDS=""
+KEYWORDS="~amd64"
 IUSE="test"
 
-DEPEND="
-	dev-python/setuptools[${PYTHON_USEDEP}]
-	test? ( dev-python/pytest[${PYTHON_USEDEP}] )
-	"
+DEPEND=""
 RDEPEND="
-	dev-python/grabbit[${PYTHON_USEDEP}]
 	dev-python/num2words[${PYTHON_USEDEP}]
 	dev-python/numpy[${PYTHON_USEDEP}]
 	dev-python/pandas[${PYTHON_USEDEP}]
 	dev-python/patsy[${PYTHON_USEDEP}]
-	dev-python/six[${PYTHON_USEDEP}]
+	dev-python/sqlalchemy[${PYTHON_USEDEP}]
+	sci-libs/bids-validator[${PYTHON_USEDEP}]
 	sci-libs/nibabel[${PYTHON_USEDEP}]
 	sci-libs/scipy[${PYTHON_USEDEP}]
 	"
 
+#RESTRICT="test"
+# Fails because fixtures are called directly
+# https://github.com/bids-standard/pybids/issues/289#issuecomment-476853673
+
 python_test() {
-	py.test -v || die
+	#rm bids/tests/test_config.py || die
+	distutils_install_for_testing
+	pytest -vv || die
 }


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2020-05-08  5:09 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2020-05-08  5:09 UTC (permalink / raw
  To: gentoo-commits

commit:     44f1e176100adf8de5b8dcb9c460f23f2d70b3f6
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Fri May  8 05:07:01 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Fri May  8 05:07:01 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=44f1e176

sci-libs/pybids: updated PYTHON_COMPAT

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/pybids/pybids-0.6.5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/pybids/pybids-0.6.5.ebuild b/sci-libs/pybids/pybids-0.6.5.ebuild
index 1a3e5aa5f..4aec991e7 100644
--- a/sci-libs/pybids/pybids-0.6.5.ebuild
+++ b/sci-libs/pybids/pybids-0.6.5.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_6 )
+PYTHON_COMPAT=( python3_{6,7} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2020-09-20  0:42 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2020-09-20  0:42 UTC (permalink / raw
  To: gentoo-commits

commit:     9495e0d02bb06635fdff3fdc4aa92cd2bbca77ba
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Sun Sep 20 00:42:17 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Sun Sep 20 00:42:17 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=9495e0d0

sci-libs/pybids: version bump 0.11.1

Package-Manager: Portage-3.0.7, Repoman-3.0.1
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/pybids/pybids-0.11.1.ebuild | 39 ++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/sci-libs/pybids/pybids-0.11.1.ebuild b/sci-libs/pybids/pybids-0.11.1.ebuild
new file mode 100644
index 000000000..8b30eeb0d
--- /dev/null
+++ b/sci-libs/pybids/pybids-0.11.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python package to access BIDS datasets"
+HOMEPAGE="https://github.com/INCF/pybids"
+SRC_URI="https://github.com/INCF/pybids/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+DEPEND=""
+RDEPEND="
+	dev-python/num2words[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pandas[${PYTHON_USEDEP}]
+	dev-python/patsy[${PYTHON_USEDEP}]
+	dev-python/sqlalchemy[${PYTHON_USEDEP}]
+	sci-libs/bids-validator[${PYTHON_USEDEP}]
+	sci-libs/nibabel[${PYTHON_USEDEP}]
+	sci-libs/scipy[${PYTHON_USEDEP}]
+	"
+
+#RESTRICT="test"
+# Fails because fixtures are called directly
+# https://github.com/bids-standard/pybids/issues/289#issuecomment-476853673
+
+python_test() {
+	#rm bids/tests/test_config.py || die
+	distutils_install_for_testing
+	pytest -vv || die
+}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2020-12-23  8:16 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2020-12-23  8:16 UTC (permalink / raw
  To: gentoo-commits

commit:     7f758198d5fc1204ae7b778e60ffaed9bdceb9cb
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Wed Dec 23 08:14:02 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Wed Dec 23 08:16:24 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=7f758198

sci-libs/pybids: updated PYTHON_COMPAT

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/pybids/pybids-0.6.5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/pybids/pybids-0.6.5.ebuild b/sci-libs/pybids/pybids-0.6.5.ebuild
index aac0d1a65..27c9b92be 100644
--- a/sci-libs/pybids/pybids-0.6.5.ebuild
+++ b/sci-libs/pybids/pybids-0.6.5.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6..9} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2020-12-23  8:19 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2020-12-23  8:19 UTC (permalink / raw
  To: gentoo-commits

commit:     bf5923e9abbbb0967fa36e65a657c1944aec6b16
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Wed Dec 23 08:19:01 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Wed Dec 23 08:19:01 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=bf5923e9

sci-libs/pybids: updated PYTHON_COMPAT

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/pybids/pybids-0.10.2.ebuild | 2 +-
 sci-libs/pybids/pybids-0.11.1.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/pybids/pybids-0.10.2.ebuild b/sci-libs/pybids/pybids-0.10.2.ebuild
index 829f7a955..c35644b72 100644
--- a/sci-libs/pybids/pybids-0.10.2.ebuild
+++ b/sci-libs/pybids/pybids-0.10.2.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6..9} )
 
 inherit distutils-r1
 

diff --git a/sci-libs/pybids/pybids-0.11.1.ebuild b/sci-libs/pybids/pybids-0.11.1.ebuild
index 829f7a955..c35644b72 100644
--- a/sci-libs/pybids/pybids-0.11.1.ebuild
+++ b/sci-libs/pybids/pybids-0.11.1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6..9} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2020-12-24 11:06 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2020-12-24 11:06 UTC (permalink / raw
  To: gentoo-commits

commit:     4319913f04072bd0de979692c3836e0084399f3e
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Thu Dec 24 11:06:45 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Thu Dec 24 11:06:45 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=4319913f

sci-libs/pybids: conditional test restriction

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/pybids/pybids-0.10.2.ebuild | 1 +
 sci-libs/pybids/pybids-0.11.1.ebuild | 1 +
 2 files changed, 2 insertions(+)

diff --git a/sci-libs/pybids/pybids-0.10.2.ebuild b/sci-libs/pybids/pybids-0.10.2.ebuild
index c35644b72..a2b3b1bbc 100644
--- a/sci-libs/pybids/pybids-0.10.2.ebuild
+++ b/sci-libs/pybids/pybids-0.10.2.ebuild
@@ -15,6 +15,7 @@ LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64"
 IUSE="test"
+RESTRICT="!test? ( test )"
 
 DEPEND=""
 RDEPEND="

diff --git a/sci-libs/pybids/pybids-0.11.1.ebuild b/sci-libs/pybids/pybids-0.11.1.ebuild
index c35644b72..a2b3b1bbc 100644
--- a/sci-libs/pybids/pybids-0.11.1.ebuild
+++ b/sci-libs/pybids/pybids-0.11.1.ebuild
@@ -15,6 +15,7 @@ LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64"
 IUSE="test"
+RESTRICT="!test? ( test )"
 
 DEPEND=""
 RDEPEND="


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2021-01-15 20:31 Andrew Ammerlaan
  0 siblings, 0 replies; 15+ messages in thread
From: Andrew Ammerlaan @ 2021-01-15 20:31 UTC (permalink / raw
  To: gentoo-commits

commit:     ad34509e15c04118f50a620690f1b9c62058999a
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Jan 15 20:31:44 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Jan 15 20:31:44 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=ad34509e

sci-libs/pybids: drop old, no supported python impls in compat

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 sci-libs/pybids/pybids-0.5.0.ebuild | 34 ----------------------------------
 1 file changed, 34 deletions(-)

diff --git a/sci-libs/pybids/pybids-0.5.0.ebuild b/sci-libs/pybids/pybids-0.5.0.ebuild
deleted file mode 100644
index 3534b3c6a..000000000
--- a/sci-libs/pybids/pybids-0.5.0.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_6 )
-
-inherit distutils-r1
-
-DESCRIPTION="Python package to access BIDS datasets"
-HOMEPAGE="https://github.com/INCF/pybids"
-SRC_URI="https://github.com/INCF/pybids/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-DEPEND="
-	dev-python/setuptools[${PYTHON_USEDEP}]
-	"
-RDEPEND="
-	dev-python/grabbit[${PYTHON_USEDEP}]
-	dev-python/num2words[${PYTHON_USEDEP}]
-	dev-python/numpy[${PYTHON_USEDEP}]
-	dev-python/pandas[${PYTHON_USEDEP}]
-	dev-python/patsy[${PYTHON_USEDEP}]
-	dev-python/six[${PYTHON_USEDEP}]
-	sci-libs/nibabel[${PYTHON_USEDEP}]
-	dev-python/scipy[${PYTHON_USEDEP}]
-	"
-
-# Tests are broken: https://github.com/INCF/pybids/issues/138
-RESTRICT="test"


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2021-01-15 20:43 Andrew Ammerlaan
  0 siblings, 0 replies; 15+ messages in thread
From: Andrew Ammerlaan @ 2021-01-15 20:43 UTC (permalink / raw
  To: gentoo-commits

commit:     e0d35c2b7009878a724363143ce901f1ce031534
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Jan 15 20:42:58 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Jan 15 20:42:58 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=e0d35c2b

sci-libs/pybids: add version 0.12.4

cleaned up testing

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 sci-libs/pybids/pybids-0.12.4.ebuild | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/sci-libs/pybids/pybids-0.12.4.ebuild b/sci-libs/pybids/pybids-0.12.4.ebuild
new file mode 100644
index 000000000..40a8adc17
--- /dev/null
+++ b/sci-libs/pybids/pybids-0.12.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Python package to access BIDS datasets"
+HOMEPAGE="https://github.com/INCF/pybids"
+SRC_URI="https://github.com/INCF/pybids/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="dev-python/versioneer[${PYTHON_USEDEP}]
+	test? (	dev-python/mock[${PYTHON_USEDEP}] )
+"
+
+RDEPEND="
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/num2words[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pandas[${PYTHON_USEDEP}]
+	dev-python/patsy[${PYTHON_USEDEP}]
+	dev-python/sqlalchemy[${PYTHON_USEDEP}]
+	sci-libs/bids-validator[${PYTHON_USEDEP}]
+	sci-libs/nibabel[${PYTHON_USEDEP}]
+	dev-python/scipy[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests --install pytest


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2022-07-11 13:15 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2022-07-11 13:15 UTC (permalink / raw
  To: gentoo-commits

commit:     cfa78acee81888e98ef7caa9c8aac5935d80b09c
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Mon Jul 11 13:15:17 2022 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Mon Jul 11 13:15:17 2022 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=cfa78ace

sci-libs/pybids: dropped version with missing source

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/pybids/pybids-0.11.1.ebuild | 36 ------------------------------------
 1 file changed, 36 deletions(-)

diff --git a/sci-libs/pybids/pybids-0.11.1.ebuild b/sci-libs/pybids/pybids-0.11.1.ebuild
deleted file mode 100644
index ef3534954..000000000
--- a/sci-libs/pybids/pybids-0.11.1.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python package to access BIDS datasets"
-HOMEPAGE="https://github.com/INCF/pybids"
-SRC_URI="https://github.com/INCF/pybids/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-DEPEND=""
-RDEPEND="
-	dev-python/num2words[${PYTHON_USEDEP}]
-	dev-python/numpy[${PYTHON_USEDEP}]
-	dev-python/pandas[${PYTHON_USEDEP}]
-	dev-python/patsy[${PYTHON_USEDEP}]
-	dev-python/sqlalchemy[${PYTHON_USEDEP}]
-	sci-libs/bids-validator[${PYTHON_USEDEP}]
-	sci-libs/nibabel[${PYTHON_USEDEP}]
-	dev-python/scipy[${PYTHON_USEDEP}]
-	"
-
-python_test() {
-	#rm bids/tests/test_config.py || die
-	distutils_install_for_testing
-	pytest -vv || die
-}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2022-07-11 13:15 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2022-07-11 13:15 UTC (permalink / raw
  To: gentoo-commits

commit:     40be0afedeb9322b8a7cef8c93315efbab71f334
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Mon Jul 11 13:14:32 2022 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Mon Jul 11 13:14:32 2022 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=40be0afe

sci-libs/pybids: EAPI and PYTHON_COMPAT bump

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/pybids/pybids-0.10.2.ebuild | 16 ++++------------
 sci-libs/pybids/pybids-0.11.1.ebuild | 10 +++-------
 sci-libs/pybids/pybids-0.12.4.ebuild | 12 +++++-------
 sci-libs/pybids/pybids-0.6.5.ebuild  |  6 +++---
 4 files changed, 15 insertions(+), 29 deletions(-)

diff --git a/sci-libs/pybids/pybids-0.10.2.ebuild b/sci-libs/pybids/pybids-0.10.2.ebuild
index 062cad939..1143655d7 100644
--- a/sci-libs/pybids/pybids-0.10.2.ebuild
+++ b/sci-libs/pybids/pybids-0.10.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{8..10} )
 
 inherit distutils-r1
 
@@ -29,12 +29,4 @@ RDEPEND="
 	dev-python/scipy[${PYTHON_USEDEP}]
 	"
 
-#RESTRICT="test"
-# Fails because fixtures are called directly
-# https://github.com/bids-standard/pybids/issues/289#issuecomment-476853673
-
-python_test() {
-	#rm bids/tests/test_config.py || die
-	distutils_install_for_testing
-	pytest -vv || die
-}
+distutils_enable_tests pytest

diff --git a/sci-libs/pybids/pybids-0.11.1.ebuild b/sci-libs/pybids/pybids-0.11.1.ebuild
index 062cad939..ef3534954 100644
--- a/sci-libs/pybids/pybids-0.11.1.ebuild
+++ b/sci-libs/pybids/pybids-0.11.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{8..10} )
 
 inherit distutils-r1
 
@@ -29,10 +29,6 @@ RDEPEND="
 	dev-python/scipy[${PYTHON_USEDEP}]
 	"
 
-#RESTRICT="test"
-# Fails because fixtures are called directly
-# https://github.com/bids-standard/pybids/issues/289#issuecomment-476853673
-
 python_test() {
 	#rm bids/tests/test_config.py || die
 	distutils_install_for_testing

diff --git a/sci-libs/pybids/pybids-0.12.4.ebuild b/sci-libs/pybids/pybids-0.12.4.ebuild
index 40a8adc17..ace1712ce 100644
--- a/sci-libs/pybids/pybids-0.12.4.ebuild
+++ b/sci-libs/pybids/pybids-0.12.4.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{8..10} )
 DISTUTILS_USE_SETUPTOOLS=rdepend
 
 inherit distutils-r1
@@ -16,9 +16,7 @@ LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64"
 
-BDEPEND="dev-python/versioneer[${PYTHON_USEDEP}]
-	test? (	dev-python/mock[${PYTHON_USEDEP}] )
-"
+BDEPEND="test? (	dev-python/mock[${PYTHON_USEDEP}] )"
 
 RDEPEND="
 	dev-python/click[${PYTHON_USEDEP}]
@@ -32,4 +30,4 @@ RDEPEND="
 	dev-python/scipy[${PYTHON_USEDEP}]
 "
 
-distutils_enable_tests --install pytest
+distutils_enable_tests pytest

diff --git a/sci-libs/pybids/pybids-0.6.5.ebuild b/sci-libs/pybids/pybids-0.6.5.ebuild
index 521ef9947..ceb6784d1 100644
--- a/sci-libs/pybids/pybids-0.6.5.ebuild
+++ b/sci-libs/pybids/pybids-0.6.5.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{8..10} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 15+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
@ 2023-05-02 23:58 Horea Christian
  0 siblings, 0 replies; 15+ messages in thread
From: Horea Christian @ 2023-05-02 23:58 UTC (permalink / raw
  To: gentoo-commits

commit:     10d07ab210cb625b4120362c45bf98e470015dfa
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Tue May  2 23:57:28 2023 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Tue May  2 23:57:28 2023 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=10d07ab2

sci-libs/pybids: enable py3.11

Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/pybids/pybids-0.10.2.ebuild | 4 ++--
 sci-libs/pybids/pybids-0.12.4.ebuild | 4 ++--
 sci-libs/pybids/pybids-0.6.5.ebuild  | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/sci-libs/pybids/pybids-0.10.2.ebuild b/sci-libs/pybids/pybids-0.10.2.ebuild
index 8ddf531e8..5f2776855 100644
--- a/sci-libs/pybids/pybids-0.10.2.ebuild
+++ b/sci-libs/pybids/pybids-0.10.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_10 )
+PYTHON_COMPAT=( python3_{10..11} )
 
 inherit distutils-r1
 

diff --git a/sci-libs/pybids/pybids-0.12.4.ebuild b/sci-libs/pybids/pybids-0.12.4.ebuild
index ffc9fad38..7860d69c9 100644
--- a/sci-libs/pybids/pybids-0.12.4.ebuild
+++ b/sci-libs/pybids/pybids-0.12.4.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_10 )
+PYTHON_COMPAT=( python3_{10..11} )
 DISTUTILS_USE_SETUPTOOLS=rdepend
 
 inherit distutils-r1

diff --git a/sci-libs/pybids/pybids-0.6.5.ebuild b/sci-libs/pybids/pybids-0.6.5.ebuild
index 47262bccd..6103c3191 100644
--- a/sci-libs/pybids/pybids-0.6.5.ebuild
+++ b/sci-libs/pybids/pybids-0.6.5.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_10 )
+PYTHON_COMPAT=( python3_{10..11} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 15+ messages in thread

end of thread, other threads:[~2023-05-02 23:58 UTC | newest]

Thread overview: 15+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-12-23  8:19 [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/ Horea Christian
  -- strict thread matches above, loose matches on Subject: below --
2023-05-02 23:58 Horea Christian
2022-07-11 13:15 Horea Christian
2022-07-11 13:15 Horea Christian
2021-01-15 20:43 Andrew Ammerlaan
2021-01-15 20:31 Andrew Ammerlaan
2020-12-24 11:06 Horea Christian
2020-12-23  8:16 Horea Christian
2020-09-20  0:42 Horea Christian
2020-05-08  5:09 Horea Christian
2020-03-24  7:23 Horea Christian
2020-01-10 13:29 Horea Christian
2020-01-10 13:26 Horea Christian
2018-08-02 15:55 Horea Christian
2018-05-23  0:25 Horea Christian

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox